- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Literal Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Literal:

[legend]
Collaboration diagram for TAO_PSDL_Literal:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Literal (CORBA::Boolean boolean_value)
| ****************************************************************
| TAO_PSDL_Literal (int int_value)
| TAO_PSDL_Literal (double double_value)
| TAO_PSDL_Literal (const char *char_value)
virtual | ~TAO_PSDL_Literal (void)
CORBA::Boolean | boolean_value (void) const
| Get the value.
int | int_value (void) const
double | double_value (void) const
const char * | char_value (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
CORBA::Boolean | boolean_value_
| The values.
int | int_value_
double | double_value_
const char * | char_value_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Literal::TAO_PSDL_Literal | ( | CORBA::Boolean | boolean_value | ) |

****************************************************************

TAO_PSDL_Literal::TAO_PSDL_Literal | ( | int | int_value | ) |

TAO_PSDL_Literal::TAO_PSDL_Literal | ( | double | double_value | ) |

TAO_PSDL_Literal::TAO_PSDL_Literal | ( | const char * | char_value | ) |

TAO_PSDL_Literal::~TAO_PSDL_Literal | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Literal::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

= The Node methods.

Implements TAO_PSDL_Node.

CORBA::Boolean TAO_PSDL_Literal::boolean_value | ( | void |  | ) | const

Get the value.

const char * TAO_PSDL_Literal::char_value | ( | void |  | ) | const

double TAO_PSDL_Literal::double_value | ( | void |  | ) | const

int TAO_PSDL_Literal::int_value | ( | void |  | ) | const

## Member Data Documentation

CORBA::Boolean TAO_PSDL_Literal::boolean_value_`[private]`

The values.

const char* TAO_PSDL_Literal::char_value_`[private]`

double TAO_PSDL_Literal::double_value_`[private]`

int TAO_PSDL_Literal::int_value_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp